httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kaspar Brand <httpd-dev.2...@velox.ch>
Subject Re: check for RAND_egd at configure time
Date Fri, 17 Apr 2015 05:02:21 GMT
On 16.04.2015 22:57, Stefan Sperling wrote:
> On Wed, Apr 15, 2015 at 08:43:04PM +0200, Stefan Sperling wrote:
>> LibreSSL does not provide the RAND_egd() function.
>>
>> This patch adds a configure check to allow building mod_ssl with LibreSSL.
> 
> Updated version following Kaspar Brand's suggestion to move into acinclude.m4.
> 
> Index: acinclude.m4
> ===================================================================
> --- acinclude.m4	(revision 1673798)
> +++ acinclude.m4	(working copy)
> @@ -598,6 +598,11 @@ AC_DEFUN(APACHE_CHECK_OPENSSL,[
>        if test "x$liberrors" != "x"; then
>          AC_MSG_WARN([OpenSSL libraries are unusable])
>        fi
> +      have_rand_egd="no"
> +      AC_CHECK_LIB(crypto, RAND_egd, [have_rand_egd="yes"])
> +      if test "$have_rand_egd" = "yes"; then
> +        AC_DEFINE([HAVE_RAND_EGD], [1], [Define if RAND_egd exists.])
> +      fi
>      else
>        AC_MSG_WARN([OpenSSL version is too old])
>      fi

I was actually thinking about

Index: acinclude.m4
===================================================================
--- acinclude.m4        (revision 1673835)
+++ acinclude.m4        (working copy)
@@ -594,7 +594,7 @@
       liberrors=""
       AC_CHECK_HEADERS([openssl/engine.h])
       AC_CHECK_FUNCS([SSLeay_version SSL_CTX_new], [], [liberrors="yes"])
-      AC_CHECK_FUNCS([ENGINE_init ENGINE_load_builtin_engines])
+      AC_CHECK_FUNCS([ENGINE_init ENGINE_load_builtin_engines RAND_egd])
       if test "x$liberrors" != "x"; then
         AC_MSG_WARN([OpenSSL libraries are unusable])
       fi

... or does that not fit in this case?

Kaspar

Mime
View raw message